# -*-makefile-*-
#
# Copyright (C) 2007 by Juergen Beisert
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
HOST_PACKAGES-$(PTXCONF_HOST_XPM_CONVERTER) += host-xpm-converter

#
# Paths and names
#
HOST_XPM_CONVERTER		:= xpm-converter
HOST_XPM_CONVERTER_URL		:= file://local_src/$(HOST_XPM_CONVERTER)
HOST_XPM_CONVERTER_SOURCE	:= $(SRCDIR)/$(HOST_XPM_CONVERTER).$(HOST_XPM_CONVERTER_SUFFIX)
HOST_XPM_CONVERTER_DIR		:= $(HOST_BUILDDIR)/$(HOST_XPM_CONVERTER)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

host-xpm-converter_get: $(STATEDIR)/host-xpm-converter.get

$(STATEDIR)/host-xpm-converter.get: $(host-xpm-converter_get_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

$(HOST_XPM_CONVERTER_SOURCE):
	@$(call targetinfo, $@)
	@$(call get, HOST_XPM_CONVERTER)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

host-xpm-converter_extract: $(STATEDIR)/host-xpm-converter.extract

$(STATEDIR)/host-xpm-converter.extract: $(host-xpm-converter_extract_deps_default)
	@$(call targetinfo, $@)
	@$(call clean, $(HOST_XPM_CONVERTER_DIR))
	@$(call extract, HOST_XPM_CONVERTER, $(HOST_BUILDDIR))
	@$(call patchin, HOST_XPM_CONVERTER, $(HOST_XPM_CONVERTER_DIR))
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

host-xpm-converter_prepare: $(STATEDIR)/host-xpm-converter.prepare

HOST_XPM_CONVERTER_PATH	:= PATH=$(HOST_PATH)
HOST_XPM_CONVERTER_ENV 	:= $(HOST_ENV)

$(STATEDIR)/host-xpm-converter.prepare: $(host-xpm-converter_prepare_deps_default)
	@$(call targetinfo, $@)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

host-xpm-converter_compile: $(STATEDIR)/host-xpm-converter.compile

$(STATEDIR)/host-xpm-converter.compile: $(host-xpm-converter_compile_deps_default)
	@$(call targetinfo, $@)
	cd $(HOST_XPM_CONVERTER_DIR) && $(HOST_XPM_CONVERTER_PATH) $(MAKE) $(PARALLELMFLAGS)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

host-xpm-converter_install: $(STATEDIR)/host-xpm-converter.install

$(STATEDIR)/host-xpm-converter.install: $(host-xpm-converter_install_deps_default)
	@$(call targetinfo, $@)
#	@$(call install, HOST_XPM_CONVERTER,,h)
	@$(call touch, $@)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

host-xpm-converter_clean:
	@rm -rf $(STATEDIR)/host-xpm-converter.*
	@rm -rf $(HOST_XPM_CONVERTER_DIR)

# vim: syntax=make
